<div *ngIf="post" class="container">
  <app-post-basic-info
    [post]="post"
    [showEditButton]="showEditButton"
    [showVotesIcons]="showVotesIcons"
    [showFlagIcon]="showFlagIcon"
    [showLockIcon]="showLockIcon"
    (lockPost)="triggerLockPost()"
    (deletePost)="triggerDelete()"
    (upvotePost)="triggerUpvote()"
    (downvotePost)="triggerDownvote()"
    (flagPost)="triggerFlagPost()"
    [isLikeIconDisabled]="disableLikeButton"
    [isDislikeIconDisabled]="disableDislikeButton"
    [isPostFlagged]="this.post.isFlagged"
  ></app-post-basic-info>

  <div *ngIf="!post.isLocked">
    <app-ngbd-modal-comment-create-component
      [postId]="postId"
    ></app-ngbd-modal-comment-create-component>
  </div>

  <div *ngIf="hasComments">
    <app-comment-table
      [comments]="post.comments"
      [loggedUser]="loggedUser"
      [loggedUserName]="loggedUserName"
      [loggedUserRole]="loggedUserRole"
      [postId]="postId"
    ></app-comment-table>
  </div>
</div>
